from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XFrameLoader(XInterface, Protocol):
    def load(self, Frame: XFrame, URL: str, Arguments: PropertyValue >, Listener: XLoadEventListener) -> None: ...
    def cancel(self) -> None: ...
